package bouton;

import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

public class FenetreBonjour extends JFrame {

	private static final String BONJOUR = "Bonjour !";
	private static final String AU_REVOIR = "Au revoir !";

	FenetreBonjour(GestionFenetresBonjour fb) {
		super(BONJOUR);
		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		JMenu menu = new JMenu(GestionFenetresBonjour.FICHIER);
		menuBar.add(menu);
		ajouterMenuItem(menu, GestionFenetresBonjour.NOUVEAU, ev -> fb.creerFenetre());
		ajouterMenuItem(menu, GestionFenetresBonjour.FERMER, ev -> fb.fermerFenetre(this));
		ajouterMenuItem(menu, GestionFenetresBonjour.QUITTER, ev -> fb.quitter());

		Container c = getContentPane();
		c.setLayout(new GridLayout(0, 1));
		ajouterBouton(c, BONJOUR, e -> System.out.println(BONJOUR));
		ajouterBouton(c, AU_REVOIR, e -> fb.fermerFenetre(this));
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				fb.fermerFenetre(FenetreBonjour.this);
			}
		});
	}

	private void ajouterBouton(Container c, String label, ActionListener listener) {
		JButton bouton = new JButton(label);
		bouton.addActionListener(listener);
		c.add(bouton);
	}

	private void ajouterMenuItem(JMenu menu, String name, ActionListener action) {
		JMenuItem menuItem = new JMenuItem(name);
		menuItem.addActionListener(action);
		menu.add(menuItem);
	}
}
